package model2;

import javax.servlet.*;
import javax.servlet.http.*;

import java.io.IOException;
import java.util.Hashtable;

public class ControllerServlet extends HttpServlet {

  public void doGet (HttpServletRequest req, HttpServletResponse res)
  throws ServletException, IOException {

    HttpSession session = req.getSession(false);
    if (session == null) {
      forward("error.jsp", req, res);
    }

    Annuaire annuaire = (Annuaire)session.getAttribute("annuaire");
    if(annuaire == null) {
      annuaire = new Annuaire();
      session.setAttribute("annuaire", annuaire);
    }

    String action = req.getParameter("action");

    String nom = req.getParameter("nom");
    String tel = req.getParameter("tel");

    if("inserer".equals(action)) {

      if(nom == null || tel == null) forward("error.jsp", req, res);
      else annuaire.insererContact(nom, tel);

      forward("index.jsp", req, res);

    } else if("modifier".equals(action)) {

      if(nom == null || tel == null) forward("error.jsp", req, res);
      else annuaire.modifierContact(nom, tel);

      forward("index.jsp", req, res);

    } else if("supprimer".equals(action)) {

      if(nom == null) forward("error.jsp", req, res);
      else annuaire.supprimerContact(nom);

      forward("index.jsp", req, res);

    } else if("afficher".equals(action)) {

      if(nom == null) forward("error.jsp", req, res);
      else {
        tel = annuaire.chercherContact(nom);
      }

      req.setAttribute("tel", tel);
      forward("contact.jsp", req, res);

    }

  }

  public void doPost (HttpServletRequest req, HttpServletResponse res)
  throws ServletException, IOException {
    doGet(req, res);
  }

  private void forward(String jsp, HttpServletRequest req,
  HttpServletResponse res) throws ServletException, IOException {
    RequestDispatcher rd = getServletContext().getRequestDispatcher("/" + jsp);
    rd.forward(req, res);
  }

}

